| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
NTuple::_Data< TYP > Class Template Referenceabstract

Abstract class describing basic data in an Ntuple. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::_Data< TYP >:
[legend]
Collaboration diagram for NTuple::_Data< TYP >:
[legend]

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...

## Public Member Functions
virtual void | setDefault (const TYP d)=0
| Set default value. More...
virtual const ItemRange & | range () const =0
| Access the range if specified. More...
Public Member Functions inherited from INTupleItem
virtual | ~INTupleItem ()=default
| destructor More...
virtual void | release ()=0
| Destruct object. More...
virtual const std::type_info & | typeID () const =0
| Compiler type ID. More...
virtual std::string | typeName () const =0
| Proper type name of the object. More...
virtual const void * | buffer () const =0
| Access data buffer (CONST) More...
virtual bool | hasIndex () const =0
| Is the tuple have an index item? More...
virtual const std::string & | index () const =0
| Access the index _Item. More...
virtual const std::string & | name () const =0
| Access _Item name. More...
virtual long | type () const =0
| Type information of the item. More...
virtual long | length () const =0
| Access the buffer length. More...
virtual void | reset ()=0
| Reset column. More...
virtual long | ndim () const =0
| Dimension. More...
virtual long | dim (long i) const =0
| Access individual dimensions. More...
virtual long | size () const =0
| Size of entire object. More...
virtual long | filled () const =0
| Number of items filled. More...
virtual INTupleItem * | indexItem ()=0
| Pointer to index column (if present, 0 else) More...
virtual const INTupleItem * | indexItem () const =0
| Pointer to index column (if present, 0 else) (CONST) More...
virtual INTuple * | tuple ()=0
| NTuple the item belongs to. More...

## Protected Attributes
TYP * | m_buffer = nullptr
| Pointer to data buffer. More...

## Additional Inherited Members
Protected Member Functions inherited from INTupleItem
virtual void | setType (long typ)=0
| Set the properties of the INTupleItem. More...

## Detailed Description

### template<class TYP>
class NTuple::_Data< TYP >

Abstract class describing basic data in an Ntuple.

Definition at line 37 of file NTuple.h.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_Data< TYP >::ItemRange

Set type definition to make life more easy easy.

Definition at line 117 of file NTuple.h.

## Member Function Documentation

template<class TYP>

virtual const ItemRange& NTuple::_Data< TYP >::range | ( |  | ) | const
| pure virtual

Access the range if specified.

Implemented in NTuple::_MatrixImp< TYP >, NTuple::_ArrayImp< TYP >, NTuple::_ItemImp< TYP >, and NTuple::_DataImp< TYP >.

template<class TYP>

virtual void NTuple::_Data< TYP >::setDefault | ( | const TYP | d | ) |
| pure virtual

Set default value.

Implemented in NTuple::_MatrixImp< TYP >, NTuple::_ArrayImp< TYP >, NTuple::_ItemImp< TYP >, and NTuple::_DataImp< TYP >.

## Member Data Documentation

template<class TYP>

TYP* NTuple::_Data< TYP >::m_buffer = nullptr
| protected

Pointer to data buffer.

Definition at line 114 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h